function [Vg_LPO,Vg_HPO,qen]=DeLiquidizer(qin,Vg_in,FS,rin,p3)

Ro=p3(2);Ri=p3(3);

qi=FS*qin;      %Light phase out flow
qo=qin-qi;      %Heavy phase out flow

% Volume fraction of oil in outlets before
% the re-entrainment is accounted for
Vo_HPO=(1-Vg_in)*(((1-FS)*Ri^2+FS*(Ri^2-rin^2))/((1-FS)*Ri^2));
Vo_LPO=((1-Vg_in)*qin-Vo_HPO*qo)/qi;

% Velocities needed for re-entrainment
u_LPO=qi/(pi*Ri^2);
u_HPO=qo/(pi*(Ro^2-Ri^2));
du=u_LPO-u_HPO;
k=2*10^-4; % Re-entrainment proportionality coefficient
qen=k*du;

%Adding re-entrainment to fraction equations
if du>=0
    Vo_LPO=(Vo_LPO*(qi-qen)+Vo_HPO*qen)/qi;
    Vo_HPO=((1-Vg_in)*qin-Vo_LPO*qi)/qo;
else
    Vo_HPO=(Vo_HPO*(qi+qen)-Vo_LPO*qen)/qi;
end

% Restrict oil volume fraction in HPO 
% to range Vw_in->1
if Vo_HPO>1
    Vo_HPO=1;
elseif Vo_HPO<(1-Vg_in)
    Vo_HPO=(1-Vg_in);
end

Vo_LPO=((1-Vg_in)*qin-Vo_HPO*qo)/qi;%Oil composition in LPO

Vg_LPO=1-Vo_LPO; %Gas composition in LPO
Vg_HPO=1-Vo_HPO; %Gas composition in HPO
end