function [t,y] = RK4(ODEfile,tspan,yi,h,varargin)
% 4th-order Runge-Kutta

t=tspan(1):h:tspan(2); %Vector of t-values
if t(end)~=tspan(2)
    t(end+1)=tspan(2);
end

d=diff(t); %Vector of t-increments
yi=(yi(:).')'; % Makes sure it is a column vector

y(:,1)=yi; % Initial condition

for i=1:length(t)-1
    
    k1 = d(i)*feval(ODEfile,t(i),y(:,i),varargin{:});
    k2 = d(i)*feval(ODEfile,t(i)+d(i)/2,y(:,i)+k1/2,varargin{:});
    k3 = d(i)*feval(ODEfile,t(i)+d(i)/2,y(:,i)+k2/2,varargin{:});
    k4 = d(i)*feval(ODEfile,t(i)+d(i),y(:,i)+k3,varargin{:});
    
    
    y(:,i+1) = y(:,i)+(k1+2*k2+2*k3+k4)/6;
     
end

y=y';
t=t';
end