function [Vg_LPO,Vg_HPO,GR,Esplit,qen]=...
    swirl_func3_deliq(Vg_in,qin,FS)
Lsw=1.5;  %Separator length
Ro=0.075; %Separator radius
Ri= sqrt(4/5)*Ro; %Radius for gas-extraction pipe

qi=FS*qin;      %Light phase out flow
qo=qin-qi;      %Heavy phase out flow
ta=(pi*Ri^2*Lsw)/qi; % Residence time 

%%
%Finding rin=r(t0) that gives r(ta)=Ri
h=ta/10;%Amount of steps
rin_0= 0.00001;% Initial guess
in=[qin,Ro,Ri,Vg_in,ta,rin_0,FS];
rho=1; %Under-relaxation parameter
tol=10^-10*Ri; %Tolerance allowed in interation
[T,X]=shooting_deliq(@swirl_sep2_deliq,[0,ta],h,Ri,rin_0,rho,tol,in);

rin=X(1,1); %Inlet radius for droplet
    

[Vg_LPO,Vg_HPO,qen]=DeLiquidizer(qin,Vg_in,FS,rin,[Lsw;Ro;Ri]);
Vo_LPO=1-Vg_LPO; Vo_HPO=1-Vg_HPO;


GR=Vg_LPO*qi/((Vg_in)*qin);             % Gas Recovery
Esplit=1-((1-Vg_LPO)*qi+Vg_HPO*qo)/qin; % Split efficiency
